<?php
  include("conn.php");
  ob_clean();
  $sql = ' select ID_ATAJO, DESC_ATAJO, PUBLICO
           from ATJ_ATAJOS 
           where ID_ATAJO = ' . $_POST['xAtajo'];
  $RsUnidades = sqlsrv_query( $conn, $sql);    
  if (! $RsUnidades ) {    
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.01';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die( print_r( sqlsrv_errors(), true));    
  }
  $row = sqlsrv_fetch_array( $RsUnidades, SQLSRV_FETCH_ASSOC);
?> 

<?php
  $sqlUsuarios = "SELECT U.ID_USUARIO, U.NOMBRE
                  FROM USUARIOS U
                  WHERE INHABILITADO = 0 AND U.ID_USUARIO <> ".$_SESSION['CurrentIdUser']."
                  ORDER BY U.NOMBRE "; 
  $RsUsuarios = $DBSegu->Execute($sqlUsuarios);
  if (!$RsUsuarios) {
    print $DBSegu->ErrorMsg();
  }
?>

<div class="modal fade" id="modificar_modal" tabindex="-1" role="dialog" aria-labelledby="modificar_modalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="titulos modal-title" id="intervaloLabel">Cambiar Nombre Favorito</h4>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <label style="margin-bottom: 14px;"  class="col-xs-12">
            <input type="text" class="form-control" id="nombreFavorito" value="<?php echo $row['DESC_ATAJO']; ?>">
          </label>
          <label style="margin-bottom: 14px;" class="col-xs-12">
            <select class="form-control" id="tipoAtajo">
              <option value="0" <?php echo ($row['PUBLICO'] == 0)?'selected':''; ?>>Privado</option>
              <option value="1" <?php echo ($row['PUBLICO'] == 1)?'selected':''; ?>>Público; para todos los usuarios</option>
              <option value="2" <?php echo ($row['PUBLICO'] == 2)?'selected':''; ?>>Público; para usuarios seleccionados</option>
            </select>
          </label>
          <label style="margin-bottom: 14px; <?php echo ($row['PUBLICO'] == 2)?'':'display:none;'; ?>" class="col-xs-12" id="lblUsuarios" >
            <select data-clear='1' data-tipo='0' id='listaUsuarios' class="form-control select2 select2-hidden-accessible" multiple="" data-placeholder="Introduzca usuarios" style="width: 100%;" tabindex="-1" aria-hidden="true">
<?php
        while (!$RsUsuarios->EOF) {
            echo "<option value='".$RsUsuarios->fields['ID_USUARIO']."' >".utf8_encode($RsUsuarios->fields['NOMBRE']) ."</option>";
            $RsUsuarios->MoveNext();
        }
 ?>
            </select>
          </label>
        </div>
     </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" id='btnAceptarModificarNombre'>Aceptar</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
      </div>
    </div>
  </div>
</div>
